#include "Display.h"
#include "Voltage.h"
#include "RFEmitter.h"

USART_TypeDef * EMITTER_USART = USART1;

ADC_TypeDef * VOLTAGE_ADC = ADC2;
const int VOLTAGE_CHANNEL = LL_ADC_CHANNEL_12;
GPIO_TypeDef * VOLTAGE_GPIO = GPIOC;
const int VOLTAGE_PIN = LL_GPIO_PIN_2;

void Display_conf()
{
	Voltage_conf(VOLTAGE_ADC, VOLTAGE_GPIO, VOLTAGE_PIN);
	RFEmitter_conf(EMITTER_USART);
}

void Display_start()
{
	Voltage_start(VOLTAGE_ADC);
	RFEmitter_start(EMITTER_USART);
}

void Display_background()
{
	float voltage = Voltage_getVoltage(ADC2, LL_ADC_CHANNEL_12);
}
